Subject: [PATCH 1/3] ARM: dts: imx28-evk: Enable touchscreen support

From: [email-masked] (Marek Vasut)
Date: Tue, 28 May 2013 20:29:55 +0200

Dear Shawn Guo,

> On Tue, May 28, 2013 at 06:56:27AM +0200, Marek Vasut wrote:
> > What is the problem you observe?
> 
> The audio playback gives silent output.

You mean like nothing? Zilch? Not even a loud pop on the start/stop of playback?

I have no issues with audio + touchscreen on m28evk since like 3.7 or so (even 
before I pushed the driver mainline), so this is weird. Do you have your 
speakers connected to LineOut or Speaker output from the SGTL5000 ? In case of 
LineOut, is your on-board amplifier on ?

Best regards,
Marek Vasut